"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (...middlewares) => {
    return async (req, ctx, handler) => {
        const composedHandler = middlewares.reduceRight((nextHandler, middleware) => () => middleware(req, ctx, nextHandler), handler);
        return composedHandler();
    };
};
