"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAllowedToEmit = void 0;
const guards_1 = require("./guards");
const toTopic = (emit) => (typeof emit === 'string' ? emit : emit.topic);
const isAllowedToEmit = (step, emit) => {
    if (!(0, guards_1.isApiStep)(step) && !(0, guards_1.isCronStep)(step) && !(0, guards_1.isEventStep)(step))
        return false;
    const emitsTopics = step.config.emits.map(toTopic);
    return emitsTopics.includes(emit) || emitsTopics.length === 0;
};
exports.isAllowedToEmit = isAllowedToEmit;
